Delete Application Key
Deletes an application key matching the provided ID.
Organization ID is not mandatory, but helps with filtering/performance.
The deletion time is returned in response message.
Required permissions:
project.app.write
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.application.v2.ApplicationService/DeleteApplicationKey" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "keyId": "string", "applicationId": "string", "projectId": "string" }'{
"deletionDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Delete Application
Delete Application: Deletes the application belonging to the input project and matching the provided application ID. Required permissions:
Generate Client Secret
Generate Client Secret: Generates the client secret of an API or OIDC application that belongs to the input project. Required permissions: